from app import hashids
from werkzeug.routing import BaseConverter
from .models import Permission


class HashidConverter(BaseConverter):
    def to_python(self, value):
        return hashids.decode(value)[0]

    def to_url(self, value):
        return hashids.encode(value)


def permission_context_processor():
    return {'Permission': Permission}
